#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ETimelineEntryType {
    Invalid = 0,
    GameMode = 1,
    Event = 2,
    StateDescription = 3,
    Achievement = 4,
    UserMarker = 5,
    Screenshot = 6,
    Error = 7,
    Tag = 8,
    GamePhase = 9,
}

impl ETimelineEntryType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::GameMode as i32 => Some(Self::GameMode),
            x if x == Self::Event as i32 => Some(Self::Event),
            x if x == Self::StateDescription as i32 => Some(Self::StateDescription),
            x if x == Self::Achievement as i32 => Some(Self::Achievement),
            x if x == Self::UserMarker as i32 => Some(Self::UserMarker),
            x if x == Self::Screenshot as i32 => Some(Self::Screenshot),
            x if x == Self::Error as i32 => Some(Self::Error),
            x if x == Self::Tag as i32 => Some(Self::Tag),
            x if x == Self::GamePhase as i32 => Some(Self::GamePhase),
            _ => None,
        }
    }
}
